Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PaymentsProviderStripe

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PaymentsProviderStripe

Enclosing class:
  TdApi

public static final class TdApi.PaymentsProviderStripe extends TdApi.Object
Stripe payment provider.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`boolean`
`needCardholderName`
True, if the cardholder name must be provided.
`boolean`
`needCountry`
True, if the user country must be provided.
`boolean`
`needPostalCode`
True, if the user ZIP/postal code must be provided.
`String`
`publishableKey`
Stripe API publishable key.

## Constructor Summary

Constructors
Constructor
Description
`PaymentsProviderStripe()`
Stripe payment provider.
`PaymentsProviderStripe(DataInput input)`
Stripe payment provider.
`PaymentsProviderStripe(String publishableKey, boolean needCountry, boolean needPostalCode, boolean needCardholderName)`
Stripe payment provider.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### publishableKey

public String publishableKey
Stripe API publishable key.

### needCountry

public boolean needCountry
True, if the user country must be provided.

### needPostalCode

public boolean needPostalCode
True, if the user ZIP/postal code must be provided.

### needCardholderName

public boolean needCardholderName
True, if the cardholder name must be provided.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### PaymentsProviderStripe

public PaymentsProviderStripe()
Stripe payment provider.

### PaymentsProviderStripe

public PaymentsProviderStripe(String publishableKey, boolean needCountry, boolean needPostalCode, boolean needCardholderName)
Stripe payment provider.

Parameters:
  `publishableKey` - String Stripe API publishable key.
  `needCountry` - boolean True, if the user country must be provided.
  `needPostalCode` - boolean True, if the user ZIP/postal code must be provided.
  `needCardholderName` - boolean True, if the cardholder name must be provided.

### PaymentsProviderStripe

public PaymentsProviderStripe(DataInput input) throws IOException
Stripe payment provider.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`